require "ZomboRut/ZomboRutConfig"

local ZomboRutModOptions = {
	options = {
		box1 = true,
		box3 = true,
		box4 = true,
		dropdown1 = 2,
		box2 = false,
	},
	names = {
		box1 = getText("IGUI_Main"),
		box3 = getText("IGUI_Couple"),
		box4 = getText("IGUI_Solo"),
		dropdown1 = getText("IGUI_banditRelease");
		box2 = getText("IGUI_Debug_Mode"),
	},
	mod_id = "ZomboRutFramework",	
	mod_shortname = "Project ZomboRut Options",
}

ZomboRutConfig.ModOptions = ZomboRutModOptions

if ModOptions and ModOptions.getInstance then
	local settings = ModOptions:getInstance(ZomboRutConfig.ModOptions)
	
	do
		ZomboRutModOptions.options_data.box1.tooltip = "IGUI_Main_TT"
		ZomboRutModOptions.options_data.box3.tooltip = "IGUI_Couple_TT"
		ZomboRutModOptions.options_data.box4.tooltip = "IGUI_Solo_TT"
		ZomboRutModOptions.options_data.box2.tooltip = "IGUI_Debug_Mode_TT"
	end
	
	do
		local dropdown = ZomboRutModOptions.options_data.dropdown1
		ZomboRutModOptions.options_data.dropdown1.tooltip = "IGUI_banditRelease_Tooltip"
		table.insert(dropdown, "Never")
		table.insert(dropdown, "Sometimes")
		table.insert(dropdown, "Always")
	end
	
	if isClient() then
		for option, _ in pairs(ZomboRutModOptions.options) do
			local option = settings:getData(option)
			option.sandbox_path = "ZomboRutSection"
		end
	end
end
